/*
 * Copyright 2005-2006 The Portal Application Laboratory Team.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.sf.pal.addresslist.model;

// Generated Jan 22, 2006 7:01:34 AM by Hibernate Tools 3.1.0 beta1JBIDERC2

/**
 * Telecom generated by hbm2java
 */

public class Telecom implements java.io.Serializable
{

    // Fields    

    /**
     * 
     */
    private static final long serialVersionUID = 5548979933919348417L;

    private long id;

    private User user;

    private Integer num;

    private String infotype;

    private String telecomtype;

    private String intcode;

    private String loccode;

    private String number;

    private String ext;

    private String comment;

    // Constructors

    /** default constructor */
    public Telecom()
    {
    }

    /** minimal constructor */
    public Telecom(long id)
    {
        this.id = id;
    }

    /** full constructor */
    public Telecom(long id, User user, Integer num, String infotype,
            String telecomtype, String intcode, String loccode, String number,
            String ext, String comment)
    {
        this.id = id;
        this.user = user;
        this.num = num;
        this.infotype = infotype;
        this.telecomtype = telecomtype;
        this.intcode = intcode;
        this.loccode = loccode;
        this.number = number;
        this.ext = ext;
        this.comment = comment;
    }

    // Property accessors

    public long getId()
    {
        return this.id;
    }

    public void setId(long id)
    {
        this.id = id;
    }

    public User getUser()
    {
        return this.user;
    }

    public void setUser(User user)
    {
        this.user = user;
    }

    public Integer getNum()
    {
        return this.num;
    }

    public void setNum(Integer num)
    {
        this.num = num;
    }

    public String getInfotype()
    {
        return this.infotype;
    }

    public void setInfotype(String infotype)
    {
        this.infotype = infotype;
    }

    public String getTelecomtype()
    {
        return this.telecomtype;
    }

    public void setTelecomtype(String telecomtype)
    {
        this.telecomtype = telecomtype;
    }

    public String getIntcode()
    {
        return this.intcode;
    }

    public void setIntcode(String intcode)
    {
        this.intcode = intcode;
    }

    public String getLoccode()
    {
        return this.loccode;
    }

    public void setLoccode(String loccode)
    {
        this.loccode = loccode;
    }

    public String getNumber()
    {
        return this.number;
    }

    public void setNumber(String number)
    {
        this.number = number;
    }

    public String getExt()
    {
        return this.ext;
    }

    public void setExt(String ext)
    {
        this.ext = ext;
    }

    public String getComment()
    {
        return this.comment;
    }

    public void setComment(String comment)
    {
        this.comment = comment;
    }

    public String getCombinedNumber()
    {
        StringBuffer buf = new StringBuffer("");
        if (getIntcode() != null && !getIntcode().equals(""))
        {
            buf.append("+");
            buf.append(getIntcode());
        }
        if (getLoccode() != null && !getLoccode().equals(""))
        {
            if (!buf.toString().equals(""))
            {
                buf.append("-");
            }
            buf.append(getLoccode());
        }
        if (getNumber() != null && !getNumber().equals(""))
        {
            if (!buf.toString().equals(""))
            {
                buf.append("-");
            }
            buf.append(getNumber());
        }
        if (getExt() != null && !getExt().equals(""))
        {
            buf.append("(");
            buf.append(getExt());
            buf.append(")");
        }

        return buf.toString();
    }

}
